
QGIS Application - Bug report #10198

mapserver does not update when project file changes

2014-05-07 04:25 AM - Vincent Mora

Status: Closed

Priority: Normal

Assignee: Vincent Mora

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 18647

Description

The cache should be updated thanks to QFileSystemWatcher in QgsConfigCache, but processEvents() is never called in the main loop.

Once processEvents() is added, there is a crash when updating the project and submitting another wms GetPrint request because

QgsMapLayerRegistry is not cleaned up between calls.

Adding QgsMapLayerRegistry::instance()->removeAllMapLayers() in the loop solves that.

I'll submit a PR today.

Associated revisions

Revision 06738d49 - 2014-05-07 02:06 PM - Vincent Mora

fix #10198

Revision 436973dc - 2014-05-13 05:20 PM - Marco Hugentobler

Merge pull request #1337 from Oslandia/test_qgis_mapserver

fix #10198

History

#1 - 2014-05-07 05:16 AM - Vincent Mora

- Crashes QGIS or corrupts data changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

PR is there https://github.com/qgis/QGIS/pull/1337

#2 - 2014-05-13 08:20 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in changeset commit:"436973dc033b4d2324be2f20310a5b37a96d3c4d".
